
<style>


  * {
    margin: 0;
  }
  html, body {
    height: 100%;
  }
  .wrapper {
    min-height: 100%;
    height: auto !important;
    height: 100%;
    margin: 0 auto -4em;

  }
  .footer, .push {
    height: 20em;
    margin: auto;
    width: 20%;
    padding: 10px;


  }

  .center_div{
    margin: 0 auto;
    width:80% /* value of your choice which suits your alignment */
  }
  #tfnewsearch{
      float:right;
      padding:20px;
  }
  .tftextinput span{
      margin: 0;
      padding: 5px 15px;
      font-family: Arial, Helvetica, sans-serif;
      font-size:14px;
      border:1px solid #0076a3; border-right:0px;
      border-top-left-radius: 5px 5px;
      border-bottom-left-radius: 5px 5px;
  }
  .tfbutton {
      margin: 0;
      padding: 5px 15px;
      font-family: Arial, Helvetica, sans-serif;
      font-size:14px;
      outline: none;
      cursor: pointer;
      text-align: center;
      text-decoration: none;
      color: #ffffff;
      border: solid 1px #0076a3; border-right:0px;
      background: #0095cd;
      background: -webkit-gradient(linear, left top, left bottom, from(#00adee), to(#0078a5));
      background: -moz-linear-gradient(top,  #00adee,  #0078a5);
      border-top-right-radius: 5px 5px;
      border-bottom-right-radius: 5px 5px;
  }
  .tfbutton:hover {
      text-decoration: none;
      background: #007ead;
      background: -webkit-gradient(linear, left top, left bottom, from(#0095cc), to(#00678e));
      background: -moz-linear-gradient(top,  #0095cc,  #00678e);
  }
  /* Fixes submit button height problem in Firefox */
  .tfbutton::-moz-focus-inner {
      border: 0;
  }
  .tfclear{
      clear:both;
  }

  .wrap{
     height: 29px; width: 178px;
  }
  .wrap span{
      position: absolute;
      top: 4px;
      left: 3px;
  }
  .wrap .glyphicon-remove-circle {
      left: auto;
      right: 3px;
  }


.boxHeader{
    width: 1140px;
    height: 608px;
    border:1px solid black ;
}

</style>
<div ng-include="'./app/view/Includes/Header.html'"></div>



<br/>
<br/>


<div class="container">
    <div class="mainDiv">
        <div class="inputBox">
            <input  type="text" auto-complete-directive url={{locationURL}} ng-model="searchParameter" placeholder="Search Book Title ">
        </div>
        <div class="crossMark"  ng-click="clearSearchResult(1)">
            <img src="../../img/remove-icon-3184.png">
        </div>
        <div  class="searchButton">
            <button  type="button"  ng-click="searchBook(searchParameter)">
                Search
            </button>
        </div>
    </div>


    <br>
    <br>
    <br>

    <div class="row">
        <div class="col-xs-12">
            <div class="box box-primary">
                <div class="box-header">
                    <div >

                        <div class="box-title" style="float: left; width: 770px;">Book Details</div>
                        <div>
                            <div class="dropdown">
                                <button class="dropbtn">{{selectedDropDownvalue}}</button>
                                <div class="dropdown-content">
                                    <a data-ng-click="getAllBooks(1); UpdateSelectName('All')">All </a>
                                    <a data-ng-click="getpublishedBooks(1); UpdateSelectName('Published')">Published </a>
                                    <a data-ng-click="getUnpublishedBooks(1); UpdateSelectName('Unpublished')">Unpublished</a>
                                </div>

                            </div>
                            <div style="float: left">
                                <a  class="btn btn-sm btn-default btn-primary" href="#/addBooks" data-ng-click="emptyFrom()" style="margin-right: 16px;">Add Books</a>
                            </div>
                            <div style="float: left">
                                <a class="btn btn-sm btn-default btn-primary" href="#/sortBooks" data-ng-click="getBooksForSorting()" style="margin-right: 16px;">Order Books</a>
                            </div>

                        </div>
                </div><!-- /.box-header -->
                <div class="box-body table-responsive no-padding">
                    <table class="table table-hover">
                        <thead>
                        <tr>
                            <th>Title</th>
                            <th>Published Date</th>
                            <th>Action</th>
                        </tr>
                        </thead>
                        <tbody style="overflow: scroll;height: 500px">
                        <tr ng-repeat="bookDetails in listingData track by $index">
                            <td>{{bookDetails.Title}}</td>
                            <td>{{bookDetails.PublishedDate | date:'mediumDate'}}</td>

                            <td>
                                <!--  <a class="btn btn-info" ng-href="#/editBookDetails" ng-click="editBook(bookDetails)">Edit</a>-->
                                <a class="btn btn-info" href="#/editBookDetails/{{bookDetails.bookId}}" >Edit</a>
                                <a type="button"  class="btn btn-danger"  ng-click="openDeleteBook(bookDetails)">
                                    <span ng-if="bookDetails.isDeleteBook==1">Archive</span><span ng-if="bookDetails.isDeleteBook==0">Unarchive</span>
                                </a>
                               <span ng-if="bookDetails.isPublished===0">
                                 <a class="btn btn-default btn-primary" ng-click="openPublishBookCart(bookDetails)" class="btn btn-info">publish</a>
                                 </span>
                                <span ng-if="bookDetails.isPublished===1">
                              <a class="btn  btn-daefault btn-primary" class="btn btn-info" ng-click="openPublishBookCart(bookDetails)">UnPublish</a>
                              </span>
                            </td>
                        </tr>
                        </tbody>
                    </table>

                    <div ng-if="listingData.length == 0">
                        <font style="font-size: 25px; align:center; padding-left: 416px;">Sorry, No Books</font>
                    </div>
                </div><!-- /.box-body -->
            </div><!-- /.box -->

        </div>

    </div>

</div>








    </div>

<br/>
<br/>

<div class="footer" style="min-width:100%;max-width:100%" ng-if="publishedPagination==0&&unPublishedPagination==0" >
  <div style="min-width:100%;max-width:100%;text-align:center" ng-include="'./app/view/pagination.html'" ></div>
</div>


<div  style="padding-left: 690px;" ng-if="publishedPagination==1&&unPublishedPagination==0">
    <pagination total-items="totalPublishedBook" ng-model="bigCurrentPage" items-per-page="itemsperpage" max-size="5"
                class="pagination-sm" boundary-links="true" rotate="false" ng-click="getpublishedBooks(bigCurrentPage)" num-pages="numPages">
    </pagination>
</div>


<div  style="padding-left: 690px;" ng-if="unPublishedPagination==1&&publishedPagination==0">
    <pagination total-items="totalUnPublishedBook" ng-model="bigCurrentPage" items-per-page="itemsperpage" max-size="5"
                class="pagination-sm" boundary-links="true" rotate="false" ng-click="getUnpublishedBooks(bigCurrentPage)" num-pages="numPages">
    </pagination>
</div>



